Skip to main content
`Ctrl`+`K`

# TSGetSolutionComponents

Returns any solution components at the present timestep, if available for the time integration method being used. Solution components are quantities that share the same size and structure as the solution vector.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetSolutionComponents(TS ts, PetscInt *n, Vec *v)

Not Collective, but v returned is parallel if ts is parallel

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()` (input parameter).

- n - If v is `NULL`, then the number of solution components is returned through n, else the n-th solution component is returned in v.

- v - the vector containing the n-th solution component (may be `NULL` to use this function to find out the number of solutions components).

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetSolution()`

## Level

advanced

## Location

src/ts/interface/ts.c

## Implementations

TSGetSolutionComponents_GLEE() in src/ts/impls/glee/glee.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages